## net.dontdrinkandroot.cache.impl.disk.indexed.storage
Class KeyedMetaData<K extends Serializable>

    java.lang.Object
      net.dontdrinkandroot.cache.impl.disk.indexed.storage.KeyedMetaData<K>

All Implemented Interfaces:
  Serializable

    public class KeyedMetaData<K extends Serializable>

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`KeyedMetaData(K key, long expiry, long created, long maxIdleTime)`
`KeyedMetaData(K key, MetaData metaData)`

Method Summary
`long` `getCreated()`
`long` `getExpiry()`
`K` `getKey()`
`long` `getMaxIdleTime()`
`SimpleMetaData` `getMetaData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyedMetaData

    public KeyedMetaData(K key,
                         long expiry,
                         long created,
                         long maxIdleTime)

### KeyedMetaData

    public KeyedMetaData(K key,
                         MetaData metaData)

Method Detail

### getKey

    public K getKey()

### getExpiry

    public long getExpiry()

### getCreated

    public long getCreated()

### getMaxIdleTime

    public long getMaxIdleTime()

### getMetaData

    public SimpleMetaData getMetaData()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.